# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.geo.impl
Class GmlPos

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ValueConstruct
              com.google.gdata.data.geo.impl.PointConstruct
                  com.google.gdata.data.geo.impl.GmlPos

All Implemented Interfaces:
  Extension, Point

    public class GmlPos

extends PointConstruct

A GML Coordinate which is just a space-separated pair of lat/lon. <gml:pos>45.256 -71.92</gml:pos>

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ValueConstruct
`attrName`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`GmlPos()` Constructs an empty gml:pos element.
`GmlPos(java.lang.Double lat, java.lang.Double lon)` Constructs a gml:pos element with the given latitude and longitude.
`GmlPos(Point copyFrom)` Constructs a gml:pos element by copying the lat/long values out of the supplied point.

Method Summary
`static ExtensionDescription` `getDefaultDescription()` Returns the suggested extension description and is repeatable.
`static ExtensionDescription` `getDefaultDescription(boolean repeatable)` Returns the suggested extension description with configurable repeatability.

Methods inherited from class com.google.gdata.data.geo.impl.PointConstruct
`getLatitude, getLongitude, setGeoLocation, setValue, toString, validate`

Methods inherited from class com.google.gdata.data.ValueConstruct
`consumeAttributes, equals, generate, getHandler, getValue, hashCode, hasValue, isRequired, putAttributes, setRequired`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.Extension
`generate, getHandler`

Constructor Detail

### GmlPos

    public GmlPos()

  Constructs an empty gml:pos element.

### GmlPos

    public GmlPos(java.lang.Double lat,
                  java.lang.Double lon)

  Constructs a gml:pos element with the given latitude and longitude.

### GmlPos

    public GmlPos(Point copyFrom)

  Constructs a gml:pos element by copying the lat/long values out of the supplied point. If the point is null then an empy gml:pos will be created.

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean repeatable)

  Returns the suggested extension description with configurable repeatability.

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Returns the suggested extension description and is repeatable.